Lead
Convert a lead into a customer
POST
/
v1
/
leads
/
{id}
/
convert
Convert a lead into a customer
curl --request POST \
--url https://dev.flextell.ai/api/v1/leads/{id}/convert \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Tenant: <x-tenant>' \
--data '
{
"existing_customer_id": 123
}
'{
"success": "<string>",
"data": {
"result": "<string>",
"customer": {
"id": 123,
"first_name": "<string>",
"last_name": "<string>",
"phone_number": "<string>",
"email": "<string>",
"date_of_birth": "2023-11-07T05:31:56Z",
"country_name": "<string>",
"identity_number": "<string>",
"job": "<string>",
"address": "<string>",
"default_channel_id": 123,
"avatar_url": "<string>",
"related_user": {
"id": 123,
"name": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"tags": [
{
"id": 123,
"tenant_id": 123,
"name": "<string>",
"color": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z"
}
]
},
"lead": {
"id": 123,
"first_name": "<string>",
"last_name": "<string>",
"full_name": "<string>",
"phone_number": "<string>",
"email": "<string>",
"description": "<string>",
"message": "<string>",
"preferred_contact": "<string>",
"source_page_url": "<string>",
"country_id": 123,
"is_converted": "<string>",
"converted_at": "2023-11-07T05:31:56Z",
"customer_id": 123,
"marketing_attribution": [
"<unknown>"
],
"external_id": "<string>",
"external_branch_id": "<string>",
"external_created_at": "2023-11-07T05:31:56Z",
"last_synced_at": "2023-11-07T05:31:56Z",
"import_source_id": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"status": {
"id": 123,
"name": "<string>",
"slug": "<string>",
"color": "<string>",
"is_terminal": true
},
"reference_source": {
"id": 123,
"name": "<string>",
"external_id": "<string>"
},
"assigned_user": {
"id": 123,
"name": "<string>"
},
"country_name": "<string>"
}
}
}Authorizations
oauth2bearer
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Tenant identifier. Send the Tenant ID in the X-Tenant header to scope API requests to a specific tenant.
Path Parameters
The lead identifier
Body
application/json
The existing customer ID to merge into.
⌘I
Convert a lead into a customer
curl --request POST \
--url https://dev.flextell.ai/api/v1/leads/{id}/convert \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Tenant: <x-tenant>' \
--data '
{
"existing_customer_id": 123
}
'{
"success": "<string>",
"data": {
"result": "<string>",
"customer": {
"id": 123,
"first_name": "<string>",
"last_name": "<string>",
"phone_number": "<string>",
"email": "<string>",
"date_of_birth": "2023-11-07T05:31:56Z",
"country_name": "<string>",
"identity_number": "<string>",
"job": "<string>",
"address": "<string>",
"default_channel_id": 123,
"avatar_url": "<string>",
"related_user": {
"id": 123,
"name": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"tags": [
{
"id": 123,
"tenant_id": 123,
"name": "<string>",
"color": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z"
}
]
},
"lead": {
"id": 123,
"first_name": "<string>",
"last_name": "<string>",
"full_name": "<string>",
"phone_number": "<string>",
"email": "<string>",
"description": "<string>",
"message": "<string>",
"preferred_contact": "<string>",
"source_page_url": "<string>",
"country_id": 123,
"is_converted": "<string>",
"converted_at": "2023-11-07T05:31:56Z",
"customer_id": 123,
"marketing_attribution": [
"<unknown>"
],
"external_id": "<string>",
"external_branch_id": "<string>",
"external_created_at": "2023-11-07T05:31:56Z",
"last_synced_at": "2023-11-07T05:31:56Z",
"import_source_id": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"status": {
"id": 123,
"name": "<string>",
"slug": "<string>",
"color": "<string>",
"is_terminal": true
},
"reference_source": {
"id": 123,
"name": "<string>",
"external_id": "<string>"
},
"assigned_user": {
"id": 123,
"name": "<string>"
},
"country_name": "<string>"
}
}
}